#!/bin/sh

file_name=$(echo ~/Pictures/Screenshots/)
base_name=$(date +%F_%H-%M-%S)
base_name+=".png"

file_name+=$base_name

flameshot gui -r > $file_name

url=$(sh $(dirname $0)/push_file.sh $file_name)

echo $url | xclip -selection clipboard

notify-send "File upload complete" "$url" --icon=flameshot.svg
